using ReallifeGamemode.Server.Models;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

/**
* @overview Life of German Reallife - Entities FactionVehicles (FactionVehicle.cs)
* @author VegaZ
* @copyright (c) 2008 - 2018 Life of German
*/

namespace ReallifeGamemode.Server.Entities
{
    [Table("FactionVehicles")]
    public class FactionVehicle : ServerVehicle
    {
        [ForeignKey("Faction")]
        public int? FactionId { get; set; }
        public Faction Faction { get; set; }

        public Faction GetFaction()
        {
            using (var context = new DatabaseContext())
            {
                return context.Factions.FirstOrDefault(f => f.Id == FactionId);
            }
        }

        public override string ToString()
        {
            return "Fraktions Fahrzeug | Fraktion: " + GetFaction().Name;
        }
    }
}
